#include <bits/stdc++.h>
using namespace std;

string s[5];
int pos[5] = {0, 1, 2};

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);

    for(int i = 0; i < 3; ++i){
        cin >> s[i];
    }

    string res = "";
    for(int i = 0; i < 6; ++i){
        next_permutation(pos, pos + 3);

        string tren = "";
        for(int j = 0; j < 3; ++j){
            tren += s[pos[j]];
        }

        res = max(res, tren);
    }

    cout << res << "\n";

    return 0;
}